Java for firefox 3.6

sremick

Member

Reaction score: 2
Messages: 42

mgp said:
you could try with java/openjdk6
Is there a FAQ/walkthrough somewhere for getting openjdk to work? I've got Flash 10 working in Firefox 3.5 but haven't managed to get Java working yet.
 

mgp

Active Member

Reaction score: 10
Messages: 105

What's the problem with openjdk? It should work. Do you have problems compiling the port?
 

sremick

Member

Reaction score: 2
Messages: 42

mgp said:
What's the problem with openjdk? It should work. Do you have problems compiling the port?
No problems compiling, but the plugin doesn't appear in about:plugins in Firefox.

FreeBSD 8-RELEASE
openjdk6-b17_1
firefox-3.5.7,1
 
OP
OP
E

everypot

Active Member

Reaction score: 7
Messages: 202

sremick said:
No problems compiling, but the plugin doesn't appear in about:plugins in Firefox.

FreeBSD 8-RELEASE
openjdk6-b17_1
firefox-3.5.7,1
Because openjava is not a plugin; it does not work with firefox ( at least not now).
 

sremick

Member

Reaction score: 2
Messages: 42

everypot said:
Because openjava is not a plugin; it does not work with firefox ( at least not now).
Well this is a serious problem, as the Diablo builds only go up to update 7, and Firefox 3.6 requires update 10.
 

adamk

Daemon

Reaction score: 266
Messages: 1,622

Unfortunately, the situation is the same. If I have to use java in my browser, I use seamonkey. A crappy situation, all around.

Adam
 

Seeker

Aspiring Daemon

Reaction score: 17
Messages: 865

I've installed openjdk6-b20_1, how can I make it work with FF 3.6
With Opera?
 

adamk

Daemon

Reaction score: 266
Messages: 1,622

Seeker said:
I've installed openjdk6-b20_1, how can I make it work with FF 3.6
You can't, since openjdk doesn't have a plugin.

With Opera?
I think you can point opera to the java executable somewhere in it's preferences, but I don't remember exactly.

Adam
 

Seeker

Aspiring Daemon

Reaction score: 17
Messages: 865

I see, so to cut it short, one needs to use FF 3.5 with java or simply wait with FF 3.6 for new java to be released for BSD
.
 

adamk

Daemon

Reaction score: 266
Messages: 1,622

If you want to use Firefox with the java plugin then yes, those are your options.

Adam
 

zspider

Aspiring Daemon

Reaction score: 112
Messages: 582

sremick said:
Well this is a serious problem, as the Diablo builds only go up to update 7, and Firefox 3.6 requires update 10.

Ive been wondering about that for a while, why they have yet to release anything for the new FreeBSD versions. It was like that months ago and it has not changed.:\
 

davidgurvich

Active Member

Reaction score: 14
Messages: 195

I've seen tests of people trying to get an openjdk based plugin working but can't recall where. One might contact one of them and see what help is needed.
 

Shura

Member


Messages: 60

Probably yes, firefox 3.6 support will appear immediately after firefox 4 release :)
 

phoenix

Administrator
Staff member
Administrator
Moderator

Reaction score: 1,264
Messages: 4,099

java/openjdk6 works perfectly well with Firefox 3.6 and above. Search the forums for more information.
 
Top